[boxer] 22/33: Simplify rules: Do copyright-check in maintainer script (not during build).
Jonas Smedegaard
dr at jones.dk
Sun Nov 5 18:28:18 UTC 2017
This is an automated email from the git hooks/post-receive script.
js pushed a commit to annotated tag debian/1.1.5-1
in repository boxer.
commit 0281cdbb6d1945537359114f65d2353b6524e1c4
Author: Jonas Smedegaard <dr at jones.dk>
Date: Sun Nov 5 12:19:24 2017 +0100
Simplify rules: Do copyright-check in maintainer script (not during build).
---
debian/copyright-check | 24 ++++++++++++++++++++++++
debian/rules | 1 -
2 files changed, 24 insertions(+), 1 deletion(-)
diff --git a/debian/copyright-check b/debian/copyright-check
new file mode 100755
index 0000000..129b94d
--- /dev/null
+++ b/debian/copyright-check
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Copyright © 2016-2017 Jonas Smedegaard <dr at jones.dk>
+# Description: helper script to update copyright_hints
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+make -f /usr/share/cdbs/1/rules/utils.mk pre-build || true
+make -f /usr/share/cdbs/1/rules/utils.mk clean DEB_COPYRIGHT_CHECK_STRICT=1
+
+# unconditionally merge changes - safe to do with git-tracked package
+[ ! -f debian/copyright_newhints ] || mv -f debian/copyright_newhints debian/copyright_hints
diff --git a/debian/rules b/debian/rules
index 617e702..017ae25 100755
--- a/debian/rules
+++ b/debian/rules
@@ -16,7 +16,6 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/perl-makemaker.mk
include /usr/share/cdbs/1/rules/debhelper.mk
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-perl/packages/boxer.git
More information about the Pkg-perl-cvs-commits
mailing list